Eclipse Platform Release 3.7

## org.eclipse.jface.text.link
Class LinkedModeUI.LinkedModeUITarget

    java.lang.Object
      org.eclipse.jface.text.link.LinkedModeUI.LinkedModeUITarget

All Implemented Interfaces:
  LinkedModeUI.ILinkedModeUIFocusListener

Enclosing class:
  LinkedModeUI

    public abstract static class LinkedModeUI.LinkedModeUITarget

extends Object
implements LinkedModeUI.ILinkedModeUIFocusListener

A link target consists of a viewer and gets notified if the linked mode UI on it is being shown.

Clients may extend this class.

Since:
  3.0

Constructor Summary
`LinkedModeUI.LinkedModeUITarget()`

Method Summary
`abstract ITextViewer` `getViewer()` Returns the viewer represented by this target, never `null`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.text.link.LinkedModeUI.ILinkedModeUIFocusListener
`linkingFocusGained, linkingFocusLost`

Constructor Detail

### LinkedModeUI.LinkedModeUITarget

    public LinkedModeUI.LinkedModeUITarget()

Method Detail

### getViewer

    public abstract ITextViewer getViewer()

  Returns the viewer represented by this target, never `null`.

  Returns:
    the viewer associated with this target.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.